#######################################################################
# CONFIGURATION SECTION - Change the parameters to match your machine #
#                         and installation                            #
#######################################################################

# Where the Esterel compiler lives.

ESTEREL_DIR= ..

# esterel compiler

ESTEREL_COMMAND = $(ESTEREL_DIR)/bin/esterel

# esterel compiling flags

ESTEREL_FLAGS = 
ESTEREL_FLAGS_FOR_SIMUL = -I

# where to find simulator libraries (normally, change only ESTEREL_LIB)

ESTEREL_LIB = $(ESTEREL_DIR)/lib

CSIMUL_A    = $(ESTEREL_DIR)/lib/libcsimul.a

XES         = $(ESTEREL_DIR)/bin/xes

#########################
# DO NOT CHANGE FROM HERE
#########################

MAKEFILE    = Makefile.Unix

MV          = mv
RM	    = rm -f
IFEXIST     = test -f
IFNOTEXIST  = test ! -f
THEN        = &&

# use /opt/SUNWspro/bin/cc on Solaris
CC          = gcc -g #-DTRACE_ACTION 
CC_CFLAGS   = -o $@
LINKER      = $(CC)
LINKER_FLAGS= -o $@

TK_CFLAGS   = 

PATHSEP     = /

OBJ         = .o
EXE         =

TKWATCH_CFLAGS = -D`uname -s`
include Makefile.all

clientserver: xwwrt.exe tkww.exe
	$(XES) xwwrt.exe -server watch.esp &
	sleep 4; $(XES) tkww.exe -client:watch.esp
